Create a webhook action
curl --request POST \
--url https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/webhooks \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"component_ids": [
"component_id"
],
"component_references": [
{
"component_id": "component_id",
"socket_names": [
"socket_name"
]
}
],
"data": {
"data_key": {}
},
"enabled": true,
"quality": "ALWAYS",
"webhook_id": {}
}
'import requests
url = "https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/webhooks"
payload = {
"component_ids": ["component_id"],
"component_references": [
{
"component_id": "component_id",
"socket_names": ["socket_name"]
}
],
"data": { "data_key": {} },
"enabled": True,
"quality": "ALWAYS",
"webhook_id": {}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
component_ids: ['component_id'],
component_references: [{component_id: 'component_id', socket_names: ['socket_name']}],
data: {data_key: {}},
enabled: true,
quality: 'ALWAYS',
webhook_id: {}
})
};
fetch('https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action_id": "<string>",
"action_type": "WEBHOOK",
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"enabled": true,
"data": {},
"webhook_id": "<string>"
}Campaign Controllers Actions
Create a webhook action
Adds a webhook action to the specified campaign controller. When the controller’s triggers fire, this action posts the configured payload to the configured external webhook URL. Returns the created webhook action with its server-assigned id.
POST
/
v2
/
campaigns
/
{campaignId}
{version}
/
controllers
/
{controllerId}
/
actions
/
webhooks
Create a webhook action
Authorizations
HEADERQUERYCOOKIE
Path Parameters
Pattern:
(/version/.+)?Body
application/json
Body of a POST /v2/campaigns/{campaignId}{version:(/version/.+)?}/controllers/{controllerId}/actions/webhooks request.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Choose between static or dynamic enabled
Available options:
ALWAYS, HIGH, LOW webhook_id
Static Value · Static Value · objectBuildtime - Handlebars · stringBuildtime - Javascript · string
Choose between static or dynamic webhook id
Response
Successful response
Available options:
WEBHOOK Show child attributes
Show child attributes
The enabled as configured: a literal value, or an expression (type:string) when defined dynamically.
Available options:
ALWAYS, HIGH, LOW Show child attributes
Show child attributes
The webhook id as configured: a literal value, or an expression (type:string) when defined dynamically.
⌘I
